Bug 861030 - [US2872]Can't turn on debugging for rhc setup when enable -d option
[US2872]Can't turn on debugging for rhc setup when enable -d option
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 06:52 EDT by Rony Gong
Modified: 2015-05-14 22:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:26:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-09-27 06:52:32 EDT
Description of problem:
Can't turn on debugging for rhc setup when enable -d option,
there is no difference between enable -d and not enable -d option for rhc setup,
so maybe we need remove the -d option in rhc setup -h or implement the debugging model of rhc setup.

Version-Release number of selected component (if applicable):
fork_ami_US2597_US2599_US2813_US2817_US2872_172

How reproducible:
always

Steps to Reproduce:
1.rhc setup -d 
2.
3.
  
Actual results:
[qgong@localhost rhc]$ rhc setup -d

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:

    /home/qgong/.openshift/express.conf
    /home/qgong/.ssh/

To connect to ec2-107-21-153-249.compute-1.amazonaws.com enter your OpenShift login (email or Red Hat login id): |qgong@redhat.com| 
Password: 

Configuration file /home/qgong/.openshift/express.conf already exists, backing up to /home/qgong/.openshift/express.conf.bak

Created local config file: /home/qgong/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

We will now check to see if you have the necessary client tools installed.

Checking for git ... needs to be installed

Would you like to install git with the system installer? (yes/no) no

Checking for your namespace ... found namespace:
    qgong

Checking for applications ... found
    * qphp - http://qphp-qgong.dev.rhcloud.com/
    * qruby18 - http://qruby18-qgong.dev.rhcloud.com/
    * q2perl - http://q2perl-qgong.dev.rhcloud.com/
    * qjenkins - http://qjenkins-qgong.dev.rhcloud.com/
    * qnode - http://qnode-qgong.dev.rhcloud.com/
    * q1ruby19 - http://q1ruby19-qgong.dev.rhcloud.com/
    * qsphp - http://qsphp-qgong.dev.rhcloud.com/
    * qs2php - http://qs2php-qgong.dev.rhcloud.com/

Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.


Expected results:
maybe we need remove the -d option in rhc setup -h or implement the debugging model of rhc setup


Additional info:
Comment 1 Hiro Asari 2012-09-27 11:53:27 EDT
There is no need for a debugging message in the 'setup' subcommand. However, the flag is currently defined as a global flag, and it is not possible to remove it.

Down the road, we would want to move '-d' to each command, but for now, I suggest leaving this ticket open with no pending action.
Comment 2 Rony Gong 2012-09-27 21:05:51 EDT
This error also happens on devenv build.
Comment 3 John (J5) Palmieri 2012-10-04 10:19:03 EDT
Debug should always be a global.  It sets @debug on the commands and rest base classes. If debug is not being printed out it is because we are not passing that to the wizard when it creates its rest clients.  Since the wizard was written before we started with the command re-factor it needs to be updated so the wizard command passes the value of @debug to the wizard lib which then passes it to the rest client objects.

The other option is to use the wizard module like a helper and include it in the wizard command code.  This will give the wizard access to the command's rest_client method (which sets debug) and to the debug method for printing out debug messages.
Comment 4 Hiro Asari 2012-10-17 15:07:59 EDT
I took the first (straightforward) approach to https://github.com/openshift/rhc/pull/185.
Comment 5 Hiro Asari 2012-10-19 14:56:52 EDT
The code has been merged.
Comment 6 Xiaoli Tian 2012-10-22 04:32:28 EDT
Move it to ON_QA to verify.
Comment 7 Rony Gong 2012-10-22 04:46:50 EDT
Verified on devenv_2360
[qgong@localhost applications]$ rhc setup -d
DEBUG: Running greeting_stage

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's
around:

    /home/qgong/.openshift/express.conf
    /home/qgong/.ssh/

DEBUG: Running login_stage
To connect to localhost enter your OpenShift login (email or Red Hat login id): qgong@redhat.com
Password: 

DEBUG: Connecting to https://localhost/broker/rest/api
DEBUG: Client supports API versions 1.0, 1.1, 1.2
DEBUG: Server supports API versions 1.0, 1.1, 1.2
DEBUG: Getting user info
DEBUG: Request: #<RestClient::Request:0x7f61f7ee4390 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/user", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/user", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
DEBUG: Running create_config_stage
Created local config file: /root/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

DEBUG: Running config_ssh_key_stage
DEBUG: Running upload_ssh_key_stage
DEBUG: Getting user info
DEBUG: Request: #<RestClient::Request:0x7f61f7eb1eb8 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/user", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/user", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
D, [2012-10-22T04:44:01.152985 #7626] DEBUG -- : Getting all keys for user qgong@redhat.com
D, [2012-10-22T04:44:01.157829 #7626] DEBUG -- : Request: #<RestClient::Request:0x7f61f7e8af20 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/user/keys", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/user/keys", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
Your public ssh key must be uploaded to the OpenShift server.  Would you like us to upload it for you? (yes/no) yes

You can enter a name for your key, or leave it blank to use the default name. Using the same name as an existing key will overwrite the old key.

Current Keys:        Name: qtest       Type: ssh-rsa-cert-v01@openssh.comFingerprint: Invalid key       Name: localhost       Type: ssh-rsaFingerprint: ab:14:6e:48:e1:25:1a:dc:af:04:d6:e2:e4:7b:6b:02

Provide a name for this key: |qgongip101202054| 

type: ssh-rsacontent:

AAAAB3NzaC1yc2EAAAABIwAAAQEA6mTc9Oftu6XPNg78qoA745Zy46YkHj/erRTvHzlGVLqcehkuJHR6nQkJm6pCAADWHZ2IWc2Hxo3fQ6ms0HfwaVp5avm0Z/edUD+me3SvmLlr9cReFB
mwaOLxQAKQVyKXBrKbvwJ1LTYqu9fVSthodU+rnXuT102u/fB1MaXgdnkdDloD+q3cTG4aXzuB6WyHzRVCzHhas6B74F3VT7+ThcIyO/+27i9HfOPAT/khcEALjy1f5V5RphuxBYvC/cnx
feizbVRP6C9gFprMkcTuQssxzfNaisM1qOx0je/InY5YYuXrgBFr1N/ZX0VQ4uytObwkkjucOAdXI/1GXh+zFQ==fingerprint: 6e:54:fd:e1:7d:56:79:98:52:75:2d:50:02:7a:02:cc
Uploading key 'qgongip101202054' from /root/.ssh/id_rsa.pub
DEBUG: Getting user info
DEBUG: Request: #<RestClient::Request:0x7f61f7e10770 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/user", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/user", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
D, [2012-10-22T04:44:11.746563 #7626] DEBUG -- : Add key qgongip101202054 of type ssh-rsa for user qgong@redhat.com
D, [2012-10-22T04:44:11.747979 #7626] DEBUG -- : Request: #<RestClient::Request:0x7f61f7de97d8 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="POST", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"449", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="type=ssh-rsa&content=AAAAB3NzaC1yc2EAAAABIwAAAQEA6mTc9Oftu6XPNg78qoA745Zy46YkHj%2FerRTvHzlGVLqcehkuJHR6nQkJm6pCAADWHZ2IWc2Hxo3fQ6ms0HfwaVp5avm0Z%2FedUD%2Bme3SvmLlr9cReFBmwaOLxQAKQVyKXBrKbvwJ1LTYqu9fVSthodU%2BrnXuT102u%2FfB1MaXgdnkdDloD%2Bq3cTG4aXzuB6WyHzRVCzHhas6B74F3VT7%2BThcIyO%2F%2B27i9HfOPAT%2FkhcEALjy1f5V5RphuxBYvC%2FcnxfeizbVRP6C9gFprMkcTuQssxzfNaisM1qOx0je%2FInY5YYuXrgBFr1N%2FZX0VQ4uytObwkkjucOAdXI%2F1GXh%2BzFQ%3D%3D&name=qgongip101202054", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/user/keys", @args={:timeout=>nil, :method=>"POST", :url=>"https://localhost/broker/rest/user/keys", :payload=>{:type=>"ssh-rsa", :content=>"AAAAB3NzaC1yc2EAAAABIwAAAQEA6mTc9Oftu6XPNg78qoA745Zy46YkHj/erRTvHzlGVLqcehkuJHR6nQkJm6pCAADWHZ2IWc2Hxo3fQ6ms0HfwaVp5avm0Z/edUD+me3SvmLlr9cReFBmwaOLxQAKQVyKXBrKbvwJ1LTYqu9fVSthodU+rnXuT102u/fB1MaXgdnkdDloD+q3cTG4aXzuB6WyHzRVCzHhas6B74F3VT7+ThcIyO/+27i9HfOPAT/khcEALjy1f5V5RphuxBYvC/cnxfeizbVRP6C9gFprMkcTuQssxzfNaisM1qOx0je/InY5YYuXrgBFr1N/ZX0VQ4uytObwkkjucOAdXI/1GXh+zFQ==", :name=>"qgongip101202054"}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
DEBUG: Running install_client_tools_stage
We will now check to see if you have the necessary client tools installed.

Checking for git ... found

DEBUG: Running config_namespace_stage
Checking for your namespace ... DEBUG: Getting all domains
DEBUG: Request: #<RestClient::Request:0x7f61f7db5e60 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/domains", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/domains", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
found namespace:
    qgong3

DEBUG: Running show_app_info_stage
Checking for applications ... DEBUG: Getting all domains
DEBUG: Request: #<RestClient::Request:0x7f61f7d55a10 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/domains", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/domains", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
D, [2012-10-22T04:44:28.181227 #7626] DEBUG -- : Getting all applications for domain qgong3
D, [2012-10-22T04:44:28.182113 #7626] DEBUG -- : Request: #<RestClient::Request:0x7f61f7d00420 @raw_response=false, @ssl_client_key=nil, @password=nil, @method="GET", @processed_headers={"User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Accept-Encoding"=>"gzip, deflate", "Content-Length"=>"0", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Content-Type"=>"application/x-www-form-urlencoded"}, @ssl_client_cert=nil, @open_timeout=nil, @user=nil, @payload="", @tf=nil, @timeout=nil, @verify_ssl=false, @cookies={}, @url="https://localhost/broker/rest/domains/qgong3/applications", @args={:timeout=>nil, :method=>"GET", :url=>"https://localhost/broker/rest/domains/qgong3/applications", :payload=>{}, :headers=>{:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}}, @ssl_ca_file=nil, @headers={:accept=>:json, "User-Agent"=>"rhc/0.99.10 (ruby 1.8.7; x86_64-linux)", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo="}>
found
    * qjboss - http://qjboss-qgong3.dev.rhcloud.com/
    * qjbosseap - http://qjbosseap-qgong3.dev.rhcloud.com/
    * qruby19 - http://qruby19-qgong3.dev.rhcloud.com/
    * qnodejs - http://qnodejs-qgong3.dev.rhcloud.com/
    * qsjbossas - http://qsjbossas-qgong3.dev.rhcloud.com/
    * qjbossews - http://qjbossews-qgong3.dev.rhcloud.com/
    * qzend - http://qzend-qgong3.dev.rhcloud.com/
    * qspython - http://qspython-qgong3.dev.rhcloud.com/
    * jenkins - http://jenkins-qgong3.dev.rhcloud.com/
    * qsjboss - http://qsjboss-qgong3.dev.rhcloud.com/
    * qsjbosseap - http://qsjbosseap-qgong3.dev.rhcloud.com/

DEBUG: Running finalize_stage
Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.
Comment 8 Yujie Zhang 2012-10-31 23:27:09 EDT
Tested on INT with rhc-1.0.3, it happened again, so reopen this bug to track the issue., the output is as following:


[root@localhost Downloads]# rhc setup -l yujzhang+int999@redhat.com -d

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying
your config's around:

    /root/.openshift/express.conf
    /root/.ssh/

Using yujzhang+int999@redhat.com, which was given on the command line
Password: ******

Configuration file /root/.openshift/express.conf already exists, backing up to
/root/.openshift/express.conf.bak

Created local config file: /root/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

Your public ssh key must be uploaded to the OpenShift server.  Would you like us to upload it for
you? (yes/no) yes

You can enter a name for your key, or leave it blank to use the default name. Using the same name as
an existing key will overwrite the old key.

Current Keys:
       Name: default
       Type: ssh-rsa
Fingerprint: d5:71:6a:61:f7:f2:2b:0d:bd:50:e5:8a:da:05:b9:de

       Name: key1
       Type: ssh-rsa
Fingerprint: d5:fb:c5:8b:6d:a0:77:81:c9:39:a2:da:c9:13:ae:98

       Name: key2
       Type: ssh-rsa
Fingerprint: 36:ae:11:6c:73:40:07:b8:6c:87:04:3b:47:18:a2:01

       Name: key9
       Type: ssh-rsa
Fingerprint: b8:2b:0e:8f:18:43:d9:fb:b5:d0:47:87:63:1f:14:51

Provide a name for this key: |yujzhangint999lo| key90

type: ssh-rsa
content:
AAAAB3NzaC1yc2EAAAADAQABAAABAQCt0A0xk2iOOhgpzuvJrJJJExhpbE05kt8w/8Z6+Sra1M/PqsX2rrNuIIjlN4oSoZHG3M3lS
Tbg7uwLSiAhMkml/+MmA49+YYvhi61MeuQStZKwYlX8dnK+QAfe1uWVk1wTHWj2Jf8V5gQph5JfJEDK7LNi3dPYZCqkKaU78qyf/q
VMLFT5X+N2N4tmpj0lXOtXRXdJRkxAnQ8hPivyt5opJVN5Rm9JH1YaDUbXr0iu7661unndpVIOcytxiB5Q8SCO76B3CKwDHkecrBO
P1btLuwmC7o/70RnRAGvAQcnpIyKp4T0Z8voaM52JpxxceHpLngYmmLrzsQnYRpx1y/Wt
fingerprint: 1d:67:92:ef:d1:15:5f:9b:a7:7f:d8:de:55:fc:96:26
Uploading key 'key90' from /root/.ssh/id_rsa.pub
We will now check to see if you have the necessary client tools installed.

Checking for git ... found

Checking for your namespace ... found namespace:
    inttest55

Checking for applications ... found
    * php - http://php-inttest55.int.rhcloud.com/
    * ruby - http://ruby-inttest55.int.rhcloud.com/
    * perl - http://perl-inttest55.int.rhcloud.com/
    * jbosseap - http://jbosseap-inttest55.int.rhcloud.com/
    * zend - http://zend-inttest55.int.rhcloud.com/
    * ruby22 - http://ruby22-inttest55.int.rhcloud.com/
    * jbossews - http://jbossews-inttest55.int.rhcloud.com/
    * jbossews32 - http://jbossews32-inttest55.int.rhcloud.com/
    * jenkins - http://jenkins-inttest55.int.rhcloud.com/
    * php33 - http://php33-inttest55.int.rhcloud.com/

Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.
Comment 9 Hiro Asari 2012-11-14 16:57:06 EST
https://github.com/openshift/rhc/pull/219
Comment 10 Hiro Asari 2012-11-14 17:32:01 EST
Should be merged soon.
Comment 11 joycezhang 2012-11-26 20:54:49 EST
Since the pull request has been mergered, Could you please help move it to ON_QA for QE to verify? Thanks.
Comment 12 Rony Gong 2012-12-13 21:52:28 EST
Verified on devenv_2601 and INT(devenv_2596)
[qgong@localhost diy]$ rhc setup -d
DEBUG: Running greeting_stage
OpenShift Client Tools (RHC) Setup Wizard

This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are properly installed.

DEBUG: Running login_stage
Login to int.openshift.redhat.com: |qgong@redhat.com| 
Password: ******

DEBUG: Connecting to https://int.openshift.redhat.com/broker/rest/api
DEBUG: Client supports API versions 1.1, 1.2, 1.3
DEBUG: Request: #<RestClient::Request:0x7f0977f3a818 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/api", @raw_response=false, @timeout=nil, @processed_headers={"Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload=nil, @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>:get, :url=>"https://int.openshift.redhat.com/broker/rest/api", :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method=:get>
DEBUG: Response: "{\"data\":{\"API\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/api\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"API entry point\",\"required_params\":[]},\"GET_ENVIRONMENT\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/environment\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get environment information\",\"required_params\":[]},\"GET_USER\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get user information\",\"required_params\":[]},\"LIST_DOMAINS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List domains\",\"required_params\":[]},\"ADD_DOMAIN\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains\",\"method\":\"POST\",\"optional_params\":[],\"rel\":\"Create new domain\",\"required_params\":[{\"description\":\"Name of the domain\",\"invalid_options\":[\"amentra\",\"aop\",\"apiviz\",\"arquillian\",\"blacktie\",\"boxgrinder\",\"byteman\",\"cirras\",\"cloud\",\"cloudforms\",\"cygwin\",\"davcache\",\"dogtag\",\"drools\",\"drools\",\"ejb3\",\"errai\",\"esb\",\"fedora\",\"freeipa\",\"gatein\",\"git\",\"gfs\",\"gravel\",\"guvnor\",\"hibernate\",\"hornetq\",\"iiop\",\"infinispan\",\"ironjacamar\",\"javassist\",\"jbcaa\",\"jbcd\",\"jboss\",\"jbpm\",\"jdcom\",\"jgroups\",\"jmx\",\"jopr\",\"jrunit\",\"jsfunit\",\"kosmos\",\"liberation\",\"makara\",\"mass\",\"maven\",\"metajizer\",\"metamatrix\",\"mobicents\",\"mod_cluster\",\"modeshape\",\"mugshot\",\"mysql\",\"netty\",\"openshift\",\"osgi\",\"overlord\",\"ovirt\",\"penrose\",\"picketbox\",\"picketlink\",\"portletbridge\",\"portletswap\",\"posse\",\"pressgang\",\"qumranet\",\"railo\",\"redhat\",\"resteasy\",\"rhca\",\"rhcds\",\"rhce\",\"rhcsa\",\"rhcss\",\"rhct\",\"rhcva\",\"rhel\",\"rhev\",\"rhq\",\"rhx\",\"richfaces\",\"riftsaw\",\"savara\",\"scribble\",\"seam\",\"shadowman\",\"shotoku\",\"shrinkwrap\",\"snowdrop\",\"solidice\",\"spacewalk\",\"spice\",\"steamcannon\",\"stormgrind\",\"switchyard\",\"tattletale\",\"teiid\",\"tohu\",\"torquebox\",\"weld\",\"wise\",\"xnio\"],\"name\":\"id\",\"type\":\"string\",\"valid_options\":[]}]},\"LIST_CARTRIDGES\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/cartridges\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List cartridges\",\"required_params\":[]},\"LIST_TEMPLATES\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/application_templates\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List application templates\",\"required_params\":[]},\"LIST_ESTIMATES\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/estimates\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List available estimates\",\"required_params\":[]},\"LIST_QUICKSTARTS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/quickstarts\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List quickstarts\",\"required_params\":[]},\"SHOW_QUICKSTART\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/quickstarts/:id\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Retrieve quickstart with :id\",\"required_params\":[{\"description\":\"Unique identifier of the quickstart\",\"invalid_options\":[],\"name\":\":id\",\"type\":\"string\",\"valid_options\":[]}]}},\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"links\",\"version\":\"1.3\"}"
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3
DEBUG: Getting user info
DEBUG: Request: #<RestClient::Request:0x7f0977eea458 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/user", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/user", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
DEBUG: Response: "{\"data\":{\"capabilities\":{\"gear_sizes\":[\"small\",\"medium\"],\"max_storage_per_gear\":30},\"consumed_gear_sizes\":{},\"consumed_gears\":0,\"links\":{\"LIST_KEYS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get SSH keys\",\"required_params\":[]},\"ADD_KEY\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys\",\"method\":\"POST\",\"optional_params\":[],\"rel\":\"Add new SSH key\",\"required_params\":[{\"description\":\"Name of the key\",\"invalid_options\":[],\"name\":\"name\",\"type\":\"string\",\"valid_options\":[]},{\"description\":\"Type of Key\",\"invalid_options\":[],\"name\":\"type\",\"type\":\"string\",\"valid_options\":[\"ssh-rsa\",\"ssh-dss\",\"ecdsa-sha2-nistp256-cert-v01@openssh.com\",\"ecdsa-sha2-nistp384-cert-v01@openssh.com\",\"ecdsa-sha2-nistp521-cert-v01@openssh.com\",\"ssh-rsa-cert-v01@openssh.com\",\"ssh-dss-cert-v01@openssh.com\",\"ssh-rsa-cert-v00@openssh.com\",\"ssh-dss-cert-v00@openssh.com\",\"ecdsa-sha2-nistp256\",\"ecdsa-sha2-nistp384\",\"ecdsa-sha2-nistp521\"]},{\"description\":\"The key portion of an ssh key (excluding ssh type and comment)\",\"invalid_options\":[],\"name\":\"content\",\"type\":\"string\",\"valid_options\":[]}]}},\"login\":\"qgong@redhat.com\",\"max_gears\":16,\"plan_id\":\"megashift\",\"usage_account_id\":1896035},\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"user\",\"version\":\"1.3\"}"
DEBUG: Running create_config_stage
Configuration file /home/qgong/.openshift/express.conf already exists, backing up to /home/qgong/.openshift/express.conf.bak

Created local config file: /home/qgong/.openshift/express.conf
The express.conf file contains user configuration, and can be transferred to different computers.

DEBUG: Running config_ssh_key_stage
DEBUG: Running upload_ssh_key_stage
DEBUG: Getting user info
DEBUG: Request: #<RestClient::Request:0x7f0977eb1ba8 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/user", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/user", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
DEBUG: Response: "{\"data\":{\"capabilities\":{\"gear_sizes\":[\"small\",\"medium\"],\"max_storage_per_gear\":30},\"consumed_gear_sizes\":{},\"consumed_gears\":0,\"links\":{\"LIST_KEYS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get SSH keys\",\"required_params\":[]},\"ADD_KEY\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys\",\"method\":\"POST\",\"optional_params\":[],\"rel\":\"Add new SSH key\",\"required_params\":[{\"description\":\"Name of the key\",\"invalid_options\":[],\"name\":\"name\",\"type\":\"string\",\"valid_options\":[]},{\"description\":\"Type of Key\",\"invalid_options\":[],\"name\":\"type\",\"type\":\"string\",\"valid_options\":[\"ssh-rsa\",\"ssh-dss\",\"ecdsa-sha2-nistp256-cert-v01@openssh.com\",\"ecdsa-sha2-nistp384-cert-v01@openssh.com\",\"ecdsa-sha2-nistp521-cert-v01@openssh.com\",\"ssh-rsa-cert-v01@openssh.com\",\"ssh-dss-cert-v01@openssh.com\",\"ssh-rsa-cert-v00@openssh.com\",\"ssh-dss-cert-v00@openssh.com\",\"ecdsa-sha2-nistp256\",\"ecdsa-sha2-nistp384\",\"ecdsa-sha2-nistp521\"]},{\"description\":\"The key portion of an ssh key (excluding ssh type and comment)\",\"invalid_options\":[],\"name\":\"content\",\"type\":\"string\",\"valid_options\":[]}]}},\"login\":\"qgong@redhat.com\",\"max_gears\":16,\"plan_id\":\"megashift\",\"usage_account_id\":1896035},\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"user\",\"version\":\"1.3\"}"
D, [2012-12-14T10:44:02.170529 #18613] DEBUG -- : Getting all keys for user qgong@redhat.com
D, [2012-12-14T10:44:02.170826 #18613] DEBUG -- : Request: #<RestClient::Request:0x7f0977e8a9e0 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/user/keys", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/user/keys", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
D, [2012-12-14T10:44:03.915691 #18613] DEBUG -- : Response: "{\"data\":[{\"content\":\"AAAAB3NzaC1yc2EAAAABIwAAAQEA4NeUyMMeM+8WZITvoArNSYtHeYH/gxpl02JZi2zn1nfAteIKhjY1jSJwmS9puXwOpY4IFIC0JT/ucbtGEQZFTSIhSrZ51bACiuY32pdtNmr5MHAvhIOVwktcjZ+Lmu2fZMEVeGO6bHct0WQ9zBLvcebwCSBKc0xwk5JVr740t+Q00fvcBktVp66qB6AjA7+ELR9reSQLMkQW8URpxeDu6vb8Wh5X/8Vy/m6vfAAEHIjozRNtuvMG5u7jfWs9/5TkpwkQeSs2Q452nndDq0Qt3zLJOYu9ARFandxQh2/CUsbIc9dqQLmTbIgkkjQkqps6J7DetbEAlt3sVyMP1RpH6w==\",\"links\":{\"GET\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/default\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get SSH key\",\"required_params\":[]},\"UPDATE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/default\",\"method\":\"PUT\",\"optional_params\":[],\"rel\":\"Update SSH key\",\"required_params\":[{\"description\":\"Type of Key\",\"invalid_options\":[],\"name\":\"type\",\"type\":\"string\",\"valid_options\":[\"ssh-rsa\",\"ssh-dss\",\"ecdsa-sha2-nistp256-cert-v01@openssh.com\",\"ecdsa-sha2-nistp384-cert-v01@openssh.com\",\"ecdsa-sha2-nistp521-cert-v01@openssh.com\",\"ssh-rsa-cert-v01@openssh.com\",\"ssh-dss-cert-v01@openssh.com\",\"ssh-rsa-cert-v00@openssh.com\",\"ssh-dss-cert-v00@openssh.com\",\"ecdsa-sha2-nistp256\",\"ecdsa-sha2-nistp384\",\"ecdsa-sha2-nistp521\"]},{\"description\":\"The key portion of an ssh key (excluding ssh type and comment)\",\"invalid_options\":[],\"name\":\"content\",\"type\":\"string\",\"valid_options\":[]}]},\"DELETE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/default\",\"method\":\"DELETE\",\"optional_params\":[],\"rel\":\"Delete SSH key\",\"required_params\":[]}},\"name\":\"default\",\"type\":\"ssh-rsa\"},{\"content\":\"AAAAB3NzaC1yc2EAAAADAQABAAABAQDuK0wfxr4D7WH9EWiOoI5R0qtLmTZzOfkOWiNCMcbvpBYvHfAKiDRkrsgS9th7IxIv/SMlY+Z4aPQ08jsIUg62b9bsPkrnWT3fnMAzi5VvLU4+6Ra3pPzSEa7W46k6f78Nw6Lwwd75HbtOCtTy7Clz/fITy1qym8+adHTVmvcqbBVEYJ4ekfon6DYDADuSle3KU2Vyp3Qq59ObR1EYh53ZDmneFNt42NE8d3Y+hh6IHPxoeMhuQ+D9Fp+S+vlEVs/kGQ6uUFHikAp9XesqYuAp6N++7DOWyf0BTGRn1qtgL+E8dSMhnXpIYr0CyCGk6njhKfAvEEflt8XpJ/8bK/Jj\",\"links\":{\"GET\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/qgonglocalhost\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get SSH key\",\"required_params\":[]},\"UPDATE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/qgonglocalhost\",\"method\":\"PUT\",\"optional_params\":[],\"rel\":\"Update SSH key\",\"required_params\":[{\"description\":\"Type of Key\",\"invalid_options\":[],\"name\":\"type\",\"type\":\"string\",\"valid_options\":[\"ssh-rsa\",\"ssh-dss\",\"ecdsa-sha2-nistp256-cert-v01@openssh.com\",\"ecdsa-sha2-nistp384-cert-v01@openssh.com\",\"ecdsa-sha2-nistp521-cert-v01@openssh.com\",\"ssh-rsa-cert-v01@openssh.com\",\"ssh-dss-cert-v01@openssh.com\",\"ssh-rsa-cert-v00@openssh.com\",\"ssh-dss-cert-v00@openssh.com\",\"ecdsa-sha2-nistp256\",\"ecdsa-sha2-nistp384\",\"ecdsa-sha2-nistp521\"]},{\"description\":\"The key portion of an ssh key (excluding ssh type and comment)\",\"invalid_options\":[],\"name\":\"content\",\"type\":\"string\",\"valid_options\":[]}]},\"DELETE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/user/keys/qgonglocalhost\",\"method\":\"DELETE\",\"optional_params\":[],\"rel\":\"Delete SSH key\",\"required_params\":[]}},\"name\":\"qgonglocalhost\",\"type\":\"ssh-rsa\"}],\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"keys\",\"version\":\"1.3\"}"
DEBUG: Running install_client_tools_stage
We will now check to see if you have the necessary client tools installed.

Checking for git ... found

DEBUG: Running config_namespace_stage
Checking for your namespace ... DEBUG: Getting all domains
DEBUG: Request: #<RestClient::Request:0x7f0977e3f760 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/domains", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/domains", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
DEBUG: Response: "{\"data\":[{\"id\":\"qgong1\",\"links\":{\"GET\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get domain\",\"required_params\":[]},\"LIST_APPLICATIONS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List applications\",\"required_params\":[]},\"ADD_APPLICATION\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications\",\"method\":\"POST\",\"optional_params\":[{\"default_value\":null,\"description\":\"Array of one or more cartridge names. i.e. [\\\"php-5.3\\\", \\\"mongodb-2.2\\\"]\",\"name\":\"cartridges\",\"type\":\"array\",\"valid_options\":[\"nodejs-0.6\",\"zend-5.6\",\"ruby-1.9\",\"jbossas-7\",\"python-2.6\",\"jenkins-1.4\",\"ruby-1.8\",\"jbosseap-6.0\",\"diy-0.1\",\"jbossews-1.0\",\"php-5.3\",\"perl-5.10\"]},{\"default_value\":null,\"description\":\"UUID of the application template\",\"name\":\"template\",\"type\":\"string\",\"valid_options\":[null]},{\"default_value\":false,\"description\":\"Mark application as scalable\",\"name\":\"scale\",\"type\":\"boolean\",\"valid_options\":[true,false]},{\"default_value\":\"small\",\"description\":\"The size of the gear\",\"name\":\"gear_profile\",\"type\":\"string\",\"valid_options\":[\"small\",\"medium\"]},{\"default_value\":null,\"description\":\"Initial git URL\",\"name\":\"init_git_url\",\"type\":\"string\",\"valid_options\":[null]}],\"rel\":\"Create new application\",\"required_params\":[{\"description\":\"Name of the application\",\"invalid_options\":[\"amentra\",\"aop\",\"apiviz\",\"arquillian\",\"blacktie\",\"boxgrinder\",\"byteman\",\"cirras\",\"cloud\",\"cloudforms\",\"cygwin\",\"davcache\",\"dogtag\",\"drools\",\"drools\",\"ejb3\",\"errai\",\"esb\",\"fedora\",\"freeipa\",\"gatein\",\"git\",\"gfs\",\"gravel\",\"guvnor\",\"hibernate\",\"hornetq\",\"iiop\",\"infinispan\",\"ironjacamar\",\"javassist\",\"jbcaa\",\"jbcd\",\"jboss\",\"jbpm\",\"jdcom\",\"jgroups\",\"jmx\",\"jopr\",\"jrunit\",\"jsfunit\",\"kosmos\",\"liberation\",\"makara\",\"mass\",\"maven\",\"metajizer\",\"metamatrix\",\"mobicents\",\"mod_cluster\",\"modeshape\",\"mugshot\",\"mysql\",\"netty\",\"openshift\",\"osgi\",\"overlord\",\"ovirt\",\"penrose\",\"picketbox\",\"picketlink\",\"portletbridge\",\"portletswap\",\"posse\",\"pressgang\",\"qumranet\",\"railo\",\"redhat\",\"resteasy\",\"rhca\",\"rhcds\",\"rhce\",\"rhcsa\",\"rhcss\",\"rhct\",\"rhcva\",\"rhel\",\"rhev\",\"rhq\",\"rhx\",\"richfaces\",\"riftsaw\",\"savara\",\"scribble\",\"seam\",\"shadowman\",\"shotoku\",\"shrinkwrap\",\"snowdrop\",\"solidice\",\"spacewalk\",\"spice\",\"steamcannon\",\"stormgrind\",\"switchyard\",\"tattletale\",\"teiid\",\"tohu\",\"torquebox\",\"weld\",\"wise\",\"xnio\"],\"name\":\"name\",\"type\":\"string\",\"valid_options\":[]}]},\"UPDATE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"PUT\",\"optional_params\":[],\"rel\":\"Update domain\",\"required_params\":[{\"description\":\"Name of the domain\",\"invalid_options\":[],\"name\":\"id\",\"type\":\"string\",\"valid_options\":[]}]},\"DELETE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"DELETE\",\"optional_params\":[{\"default_value\":false,\"description\":\"Force delete domain.  i.e. delete any applications under this domain\",\"name\":\"force\",\"type\":\"boolean\",\"valid_options\":[true,false]}],\"rel\":\"Delete domain\",\"required_params\":[]}},\"suffix\":\"int.rhcloud.com\"}],\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"domains\",\"version\":\"1.3\"}"
found namespace:
    qgong1

DEBUG: Running show_app_info_stage
Checking for applications ... DEBUG: Getting all domains
DEBUG: Request: #<RestClient::Request:0x7f0977ddc458 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/domains", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/domains", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
DEBUG: Response: "{\"data\":[{\"id\":\"qgong1\",\"links\":{\"GET\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"Get domain\",\"required_params\":[]},\"LIST_APPLICATIONS\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications\",\"method\":\"GET\",\"optional_params\":[],\"rel\":\"List applications\",\"required_params\":[]},\"ADD_APPLICATION\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications\",\"method\":\"POST\",\"optional_params\":[{\"default_value\":null,\"description\":\"Array of one or more cartridge names. i.e. [\\\"php-5.3\\\", \\\"mongodb-2.2\\\"]\",\"name\":\"cartridges\",\"type\":\"array\",\"valid_options\":[\"nodejs-0.6\",\"zend-5.6\",\"ruby-1.9\",\"jbossas-7\",\"python-2.6\",\"jenkins-1.4\",\"ruby-1.8\",\"jbosseap-6.0\",\"diy-0.1\",\"jbossews-1.0\",\"php-5.3\",\"perl-5.10\"]},{\"default_value\":null,\"description\":\"UUID of the application template\",\"name\":\"template\",\"type\":\"string\",\"valid_options\":[null]},{\"default_value\":false,\"description\":\"Mark application as scalable\",\"name\":\"scale\",\"type\":\"boolean\",\"valid_options\":[true,false]},{\"default_value\":\"small\",\"description\":\"The size of the gear\",\"name\":\"gear_profile\",\"type\":\"string\",\"valid_options\":[\"small\",\"medium\"]},{\"default_value\":null,\"description\":\"Initial git URL\",\"name\":\"init_git_url\",\"type\":\"string\",\"valid_options\":[null]}],\"rel\":\"Create new application\",\"required_params\":[{\"description\":\"Name of the application\",\"invalid_options\":[\"amentra\",\"aop\",\"apiviz\",\"arquillian\",\"blacktie\",\"boxgrinder\",\"byteman\",\"cirras\",\"cloud\",\"cloudforms\",\"cygwin\",\"davcache\",\"dogtag\",\"drools\",\"drools\",\"ejb3\",\"errai\",\"esb\",\"fedora\",\"freeipa\",\"gatein\",\"git\",\"gfs\",\"gravel\",\"guvnor\",\"hibernate\",\"hornetq\",\"iiop\",\"infinispan\",\"ironjacamar\",\"javassist\",\"jbcaa\",\"jbcd\",\"jboss\",\"jbpm\",\"jdcom\",\"jgroups\",\"jmx\",\"jopr\",\"jrunit\",\"jsfunit\",\"kosmos\",\"liberation\",\"makara\",\"mass\",\"maven\",\"metajizer\",\"metamatrix\",\"mobicents\",\"mod_cluster\",\"modeshape\",\"mugshot\",\"mysql\",\"netty\",\"openshift\",\"osgi\",\"overlord\",\"ovirt\",\"penrose\",\"picketbox\",\"picketlink\",\"portletbridge\",\"portletswap\",\"posse\",\"pressgang\",\"qumranet\",\"railo\",\"redhat\",\"resteasy\",\"rhca\",\"rhcds\",\"rhce\",\"rhcsa\",\"rhcss\",\"rhct\",\"rhcva\",\"rhel\",\"rhev\",\"rhq\",\"rhx\",\"richfaces\",\"riftsaw\",\"savara\",\"scribble\",\"seam\",\"shadowman\",\"shotoku\",\"shrinkwrap\",\"snowdrop\",\"solidice\",\"spacewalk\",\"spice\",\"steamcannon\",\"stormgrind\",\"switchyard\",\"tattletale\",\"teiid\",\"tohu\",\"torquebox\",\"weld\",\"wise\",\"xnio\"],\"name\":\"name\",\"type\":\"string\",\"valid_options\":[]}]},\"UPDATE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"PUT\",\"optional_params\":[],\"rel\":\"Update domain\",\"required_params\":[{\"description\":\"Name of the domain\",\"invalid_options\":[],\"name\":\"id\",\"type\":\"string\",\"valid_options\":[]}]},\"DELETE\":{\"href\":\"https://int.openshift.redhat.com/broker/rest/domains/qgong1\",\"method\":\"DELETE\",\"optional_params\":[{\"default_value\":false,\"description\":\"Force delete domain.  i.e. delete any applications under this domain\",\"name\":\"force\",\"type\":\"boolean\",\"valid_options\":[true,false]}],\"rel\":\"Delete domain\",\"required_params\":[]}},\"suffix\":\"int.rhcloud.com\"}],\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"domains\",\"version\":\"1.3\"}"
D, [2012-12-14T10:44:07.307909 #18613] DEBUG -- : Getting all applications for domain qgong1
D, [2012-12-14T10:44:07.308180 #18613] DEBUG -- : Request: #<RestClient::Request:0x7f0977d838a8 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/domains/qgong1/applications", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
D, [2012-12-14T10:44:09.312547 #18613] DEBUG -- : Response: "{\"data\":[],\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"applications\",\"version\":\"1.3\"}"
none found

Run 'rhc app create' to create your first application.
Below is a list of the types of application you can create: DEBUG: Finding cartridge typestandalone
DEBUG: Getting all cartridges
DEBUG: Request: #<RestClient::Request:0x7f0977d6c108 @verify_ssl=false, @open_timeout=4, @ssl_ca_file=nil, @user=nil, @url="https://int.openshift.redhat.com/broker/rest/cartridges", @raw_response=false, @timeout=nil, @processed_headers={"Content-Type"=>"application/x-www-form-urlencoded", "Content-Length"=>"0", "Accept-Encoding"=>"gzip, deflate", "Accept"=>"application/json", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)"}, @payload="", @ssl_client_key=nil, @headers={"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, @max_redirects=10, @cookies={}, @ssl_client_cert=nil, @block_response=nil, @args={:timeout=>nil, :method=>"GET", :url=>"https://int.openshift.redhat.com/broker/rest/cartridges", :payload=>{}, :headers=>{"Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbToxMTExMTE=", "User-Agent"=>"rhc/1.3.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil, @password=nil, @method="GET">
DEBUG: Response: "{\"data\":[{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Node.js is a platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications. Node.js is perfect for data-intensive real-time applications that run across distributed devices.\",\"display_name\":\"Node.js 0.6\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"nodejs-0.6\",\"properties\":[{\"name\":\"OPENSHIFT_NODEJS_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"javascript\",\"nodejs\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"0.6.10\",\"website\":\"http://www.nodejs.org/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"A PHP server by Zend for applications that require performance, reliability and security. Zend Server combined with Zend Studio offers code optimization, debugging, and code assist.\",\"display_name\":\"Zend Server 5.6\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"Commercial\",\"license_url\":\"http://static.zend.com/topics/Zend-License-EULA-2010-09-2.pdf\",\"name\":\"zend-5.6\",\"properties\":[{\"name\":\"OPENSHIFT_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"php\",\"web_framework\"],\"type\":\"standalone\",\"version\":5.6,\"website\":\"http://www.zend.com\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Ruby is a dynamic, reflective, general-purpose object-oriented programming language. Popular development frameworks include Ruby on Rails and Sinatra.\",\"display_name\":\"Ruby 1.9\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"ruby-1.9\",\"properties\":[{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"ruby\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"1.0.0\",\"website\":\"https://www.ruby-lang.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"The leading open source Java EE6 application server for enterprise Java applications. Popular development frameworks include Seam, CDI, Weld, and Spring.\",\"display_name\":\"JBoss Application Server 7.1\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"jbossas-7\",\"properties\":[{\"name\":\"OPENSHIFT_JBOSSAS_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"java\",\"jboss\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"7.1.0\",\"website\":\"http://www.jboss.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Python is a general-purpose, high-level programming language whose design philosophy emphasizes code readability. Popular development frameworks include: Django, Bottle, Pylons, Zope and TurboGears.\",\"display_name\":\"Python 2.6\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"python-2.6\",\"properties\":[{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"python\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"1.0.0\",\"website\":\"http://www.python.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Jenkins is a continuous integration (CI) build server that is deeply integrated into OpenShift. See the Jenkins info page for more.\",\"display_name\":\"Jenkins Server 1.4\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"jenkins-1.4\",\"properties\":[{\"name\":\"OPENSHIFT_JENKINS_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"},{\"name\":\"JENKINS_URL\",\"type\":\"environment\",\"description\":\"URL for the jenkins server\"},{\"name\":\"JENKINS_USERNAME\",\"type\":\"environment\",\"description\":\"Admin user on jenkins server\"},{\"name\":\"JENKINS_PASSWORD\",\"type\":\"environment\",\"description\":\"Admin user's password for jenkins server\"},{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Admin user on jenkins server\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Admin user's passowrd on jenkins server\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"web_framework\",\"instant_app\",\"ci\"],\"type\":\"standalone\",\"version\":\"0.84.1\",\"website\":\"http://www.jenkins-ci.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Ruby is a dynamic, reflective, general-purpose object-oriented programming language. We recommend using Ruby 1.9 for new applications.\",\"display_name\":\"Ruby 1.8\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"ruby-1.8\",\"properties\":[{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"ruby\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"1.0.0\",\"website\":\"http://www.ruby-lang.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Market-leading open source enterprise platform for next-generation, highly transactional enterprise Java applications. Build and deploy enterprise Java in the cloud.\",\"display_name\":\"JBoss Enterprise Application Platform 6.0\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"jbosseap-6.0\",\"properties\":[{\"name\":\"OPENSHIFT_JBOSSEAP_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"java\",\"jboss\",\"jee_full_profile\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"6.0.0\",\"website\":\"http://www.redhat.com/products/jbossenterprisemiddleware/application-platform/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"The Do-It-Yourself (DIY) application type is a blank slate for trying unsupported languages, frameworks, and middleware on OpenShift. See the community site for examples of bringing your favorite framework to OpenShift.\",\"display_name\":\"Do-It-Yourself\",\"gear_profile\":null,\"help_topics\":{\"Getting Started\":\"https://www.openshift.com/community/videos/getting-started-with-diy-applications-on-openshift\"},\"license\":\"ASL 2.0\",\"license_url\":\"http://www.apache.org/licenses/LICENSE-2.0.txt\",\"name\":\"diy-0.1\",\"properties\":[{\"name\":\"OPENSHIFT_DIY_LOG_DIR\",\"type\":\"environemnt\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environemnt\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environemnt\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environemnt\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environemnt\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environemnt\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environemnt\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environemnt\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environemnt\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environemnt\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"web_framework\",\"experimental\"],\"type\":\"standalone\",\"version\":\"1.0.0\",\"website\":\"\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"JBoss Enterprise Web Server is the enterprise-class Java web container for large-scale lightweight web applications based on Tomcat 6. Build and deploy JSPs and Servlets in the cloud.\",\"display_name\":\"Tomcat 6 (JBoss EWS 1.0)\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"jbossews-1.0\",\"properties\":[{\"name\":\"OPENSHIFT_JBOSSEAP_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"java\",\"jboss\",\"tomcat\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"1.0.2\",\"website\":\"http://www.redhat.com/products/jbossenterprisemiddleware/web-server/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"PHP is a general-purpose server-side scripting language originally designed for Web development to produce dynamic Web pages. Popular development frameworks include: CakePHP, Zend, Symfony, and Code Igniter.\",\"display_name\":\"PHP 5.3\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"The PHP License, version 3.0\",\"license_url\":\"http://www.php.net/license/3_0.txt\",\"name\":\"php-5.3\",\"properties\":[{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"php\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"5.3.2\",\"website\":\"http://www.php.net\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Perl is a high-level, general-purpose, interpreted, dynamic programming language. Dynamic content produced by Perl scripts can be served in response to incoming web requests.\",\"display_name\":\"Perl 5.10\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"perl-5.10\",\"properties\":[{\"name\":\"OPENSHIFT_PERL_LOG_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application log files.\"},{\"name\":\"OPENSHIFT_TMP_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application temporary files.\"},{\"name\":\"OPENSHIFT_REPO_DIR\",\"type\":\"environment\",\"description\":\"Application root directory where application files reside. This directory is reset everytime you do a git-push\"},{\"name\":\"OPENSHIFT_INTERNAL_PORT\",\"type\":\"environment\",\"description\":\"Internal port to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_INTERNAL_IP\",\"type\":\"environment\",\"description\":\"Internal IP to which the web-framework binds to.\"},{\"name\":\"OPENSHIFT_APP_DNS\",\"type\":\"environment\",\"description\":\"Fully qualified domain name for the application.\"},{\"name\":\"OPENSHIFT_APP_NAME\",\"type\":\"environment\",\"description\":\"Application name\"},{\"name\":\"OPENSHIFT_DATA_DIR\",\"type\":\"environment\",\"description\":\"Directory to store application data files. Preserved across git-pushes. Not shared across gears.\"},{\"name\":\"OPENSHIFT_APP_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the application. Does not change between gears.\"},{\"name\":\"OPENSHIFT_GEAR_UUID\",\"type\":\"environment\",\"description\":\"Unique ID which identified the gear. This value changes between gears.\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"perl\",\"web_framework\"],\"type\":\"standalone\",\"version\":\"1.0.0\",\"website\":\"http://www.perl.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"MongoDB is a scalable, high-performance, open source NoSQL database.\",\"display_name\":\"MongoDB NoSQL Database 2.2\",\"gear_profile\":null,\"help_topics\":[{\"Building with MongoDB\":\"https://openshift.redhat.com/community/developers/mongodb\"}],\"license\":\"ASL 2.0\",\"license_url\":\"http://www.apache.org/licenses/LICENSE-2.0.txt\",\"name\":\"mongodb-2.2\",\"properties\":[{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Root user on mongo database\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Password for root user on mongo database\"},{\"name\":\"database_name\",\"type\":\"cart_data\",\"description\":\"Mongo DB name\"},{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"Mongo DB connection URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"database\",\"nosql\"],\"type\":\"embedded\",\"version\":\"2.2.0\",\"website\":\"http://www.10gen.com\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"SwitchYard is a lightweight service delivery framework providing full lifecycle support for developing, deploying, and managing service-oriented applications.\",\"display_name\":\"SwitchYard 0.6\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"switchyard-0.6\",\"properties\":[{\"name\":\"module_path\",\"type\":\"cart_data\",\"description\":\"Module Path\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\"],\"type\":\"embedded\",\"version\":\"1.0.0\",\"website\":\"http://www.jboss.org/switchyard\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"The Cron cartridge allows you to run command line programs at scheduled times. Use this for background jobs and periodic processing.\",\"display_name\":\"Cron 1.4\",\"gear_profile\":null,\"help_topics\":{\"Getting Started Guide\":\"https://openshift.redhat.com/community/blogs/getting-started-with-cron-jobs-on-openshift\"},\"license\":\"ASL 2.0\",\"license_url\":\"http://www.apache.org/licenses/LICENSE-2.0.txt\",\"name\":\"cron-1.4\",\"properties\":[],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\"],\"type\":\"embedded\",\"version\":1.4,\"website\":\"http://openshift.redhat.com/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"MySQL is a multi-user, multi-threaded SQL database server.\",\"display_name\":\"MySQL Database 5.1\",\"gear_profile\":null,\"help_topics\":[{\"Building with MySQL\":\"http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/User_Guide/sect-User_Guide-Working_With_Database_Cartridges.html\"}],\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"mysql-5.1\",\"properties\":[{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Root user on mysql database\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Password for root user on mysql database\"},{\"name\":\"database_name\",\"type\":\"cart_data\",\"description\":\"MySQL DB name\"},{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"MySQL DB connection URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"database\"],\"type\":\"embedded\",\"version\":5.1,\"website\":\"http://www.mysql.com\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"PostgreSQL is an advanced Object-Relational database management system\",\"display_name\":\"PostgreSQL Database 8.4\",\"gear_profile\":null,\"help_topics\":[{\"Building with PostGreSQL\":\"http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/User_Guide/sect-User_Guide-Working_With_Database_Cartridges.html\"}],\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"postgresql-8.4\",\"properties\":[{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Root user on PostgreSQL database\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Password for root user on PostgreSQL database\"},{\"name\":\"database_name\",\"type\":\"cart_data\",\"description\":\"PostgreSQL DB name\"},{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"PostgreSQL DB connection URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"database\"],\"type\":\"embedded\",\"version\":8.4,\"website\":\"http://www.postgresql.org\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"HAProxy can be used as a load balancer and scaling agent for web frameworks\",\"display_name\":\"HAProxy 1.4\",\"gear_profile\":null,\"help_topics\":{},\"license\":\"unknown\",\"license_url\":\"\",\"name\":\"haproxy-1.4\",\"properties\":[],\"scales_from\":1,\"scales_to\":1,\"scales_with\":null,\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"web_proxy\",\"git_host\",\"scales\"],\"type\":\"embedded\",\"version\":\"1.4.20\",\"website\":\"\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"MongoDB Monitoring Service (MMS) instruments MongoDB and provides information about current and historical operational metrics of your system.\",\"display_name\":\"10gen Mongo Monitoring Service Agent 0.1\",\"gear_profile\":null,\"help_topics\":{\"MMS Manual\":\"https://mms.10gen.com/help/\"},\"license\":\"unknown\",\"license_url\":\"https://mms.10gen.com/links/terms-of-service\",\"name\":\"10gen-mms-agent-0.1\",\"properties\":[{\"name\":\"monitoring_url\",\"type\":\"cart_data\",\"description\":\"10gen-mms-agent-0.1 monitoring URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\",\"database-support\"],\"type\":\"embedded\",\"version\":\"1.3.7\",\"website\":\"https://mms.10gen.com/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Web based MySQL admin tool. Requires the MySQL cartridge to be installed first.\",\"display_name\":\"phpMyAdmin 3.4\",\"gear_profile\":null,\"help_topics\":{},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"phpmyadmin-3.4\",\"properties\":[{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Admin user on phpmyadmin interface\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Password for admin user on phpmyadmin interface\"},{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"phpMyAdmin connection URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\"],\"type\":\"embedded\",\"version\":\"1.1.0\",\"website\":\"http://www.phpmyadmin.net/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"An experimental cartridge that demonstrates retrieving real-time statistics from your application. May be removed or replaced in the future.\",\"display_name\":\"OpenShift Metrics 0.1\",\"gear_profile\":null,\"help_topics\":{},\"license\":\"GPLv2\",\"license_url\":\"\",\"name\":\"metrics-0.1\",\"properties\":[{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"Application metrics URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\"],\"type\":\"embedded\",\"version\":\"1.1.0\",\"website\":\"https://openshift.redhat.com/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"Web based MongoDB administration tool. Requires the MongoDB cartridge to be installed first.\",\"display_name\":\"RockMongo 1.1\",\"gear_profile\":null,\"help_topics\":{},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"rockmongo-1.1\",\"properties\":[{\"name\":\"username\",\"type\":\"cart_data\",\"description\":\"Admin user on rockmongo interface\"},{\"name\":\"password\",\"type\":\"cart_data\",\"description\":\"Password for admin user on rockmongo interface\"},{\"name\":\"connection_url\",\"type\":\"cart_data\",\"description\":\"RockMongo connection URL\"}],\"scales_from\":1,\"scales_to\":1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":1,\"tags\":[\"cartridge\"],\"type\":\"embedded\",\"version\":\"1.1.0\",\"website\":\"http://rockmongo.com/\"},{\"collocated_with\":[],\"current_scale\":0,\"description\":\"The Jenkins client connects to your Jenkins application and enables builds and testing of your application. Requires the Jenkins Application to be created via the new application page.\",\"display_name\":\"Jenkins Client 1.4\",\"gear_profile\":null,\"help_topics\":{\"Developer Center\":\"https://openshift.redhat.com/community/developers\"},\"license\":\"ASL 2.0\",\"license_url\":\"\",\"name\":\"jenkins-client-1.4\",\"properties\":[{\"name\":\"job_url\",\"type\":\"cart_data\",\"description\":\"URL for the build job submitted on jenkins server\"}],\"scales_from\":1,\"scales_to\":-1,\"scales_with\":\"haproxy-1.4\",\"status_messages\":null,\"supported_scales_from\":1,\"supported_scales_to\":-1,\"tags\":[\"cartridge\",\"ci_builder\"],\"type\":\"embedded\",\"version\":\"1.0.0\",\"website\":\"http://www.jenkins-ci.org\"}],\"messages\":[],\"status\":\"ok\",\"supported_api_versions\":[1.0,1.1,1.2,1.3],\"type\":\"cartridges\",\"version\":\"1.3\"}"
    * diy-0.1 - rhc app create <app name> diy-0.1
    * jbossas-7 - rhc app create <app name> jbossas-7
    * jbosseap-6.0 - rhc app create <app name> jbosseap-6.0
    * jbossews-1.0 - rhc app create <app name> jbossews-1.0
    * jenkins-1.4 - rhc app create <app name> jenkins-1.4
    * nodejs-0.6 - rhc app create <app name> nodejs-0.6
    * perl-5.10 - rhc app create <app name> perl-5.10
    * php-5.3 - rhc app create <app name> php-5.3
    * python-2.6 - rhc app create <app name> python-2.6
    * ruby-1.8 - rhc app create <app name> ruby-1.8
    * ruby-1.9 - rhc app create <app name> ruby-1.9
    * zend-5.6 - rhc app create <app name> zend-5.6

DEBUG: Running finalize_stage
Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.

Note You need to log in before you can comment on or make changes to this bug.